com.independentsoft.exchange

## Class MeetingSuggestion

- java.lang.Object
- - com.independentsoft.exchange.MeetingSuggestion

-     public class MeetingSuggestion
      extends java.lang.Object

  Represents a proposed meeting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeetingSuggestion()` Initializes a new instance of the MeetingSuggestion class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<EmailUser>` | `getAttendees()` Gets the recipients of an invitation to a meeting.
    `java.util.Date` | `getEndTime()` Gets the end time of a meeting or appointment.
    `java.lang.String` | `getLocation()` Gets the location of a meeting or appointment.
    `java.lang.String` | `getMeeting()` Gets the description of the meeting as the result of entity extraction.
    `Position` | `getPosition()` Gets the position of the entity.
    `java.util.Date` | `getStartTime()` Gets the start time of a meeting or appointment.
    `java.lang.String` | `getSubject()` Gets the subject of a meeting or appointment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeetingSuggestion

          public MeetingSuggestion()

      Initializes a new instance of the MeetingSuggestion class.

  - ### Method Detail

    - #### getPosition

          public Position getPosition()

      Gets the position of the entity.
      Returns:
        the position

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location of a meeting or appointment.
      Returns:
        the location

    - #### getMeeting

          public java.lang.String getMeeting()

      Gets the description of the meeting as the result of entity extraction.
      Returns:
        the meeting

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject of a meeting or appointment.
      Returns:
        the subject

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start time of a meeting or appointment.
      Returns:
        the start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the end time of a meeting or appointment.
      Returns:
        the end time

    - #### getAttendees

          public java.util.List<EmailUser> getAttendees()

      Gets the recipients of an invitation to a meeting.
      Returns:
        the assignees